﻿var pfh = pfh || {};

pfh.redirectURL = null;

pfh.EVO_SearchClick = function (evoSearchObjTitle, evoSearchObjId, evoSearchObjBehaviour, evoSearchObjURL, evoSearchObjRedirectURL) {


	var destinationURL = evoSearchObjURL.replace("&amp;","&");
	
	switch (evoSearchObjBehaviour)
	{
		case "New Window":
			window.open(destinationURL, evoSearchObjTitle);
		
		break;
		
		case "Modal Dialog":
				pfh.redirectURL = evoSearchObjRedirectURL;
				var dialogOptions = {
					title: evoSearchObjTitle,
					url: destinationURL,
					dialogReturnValueCallback: pfh.ItemClickCallback
				};
				OpenPopUpPageWithDialogOptions(dialogOptions);
		break;
	
		default: //Assumes same window and uses source to return to search if the Host portion of the URL is the same as SharePoint
		var spProtocol = window.location.protocol;
		var spHost = window.location.host;
		var combinedHost = spProtocol + "//" + spHost;
		var encodedSourceURL = ""
		
		if (evoSearchObjRedirectURL == "")
		{
			encodedSourceURL = $htmlEncode(window.location.href);
		}
		else
		{
			encodedSourceURL = $htmlEncode(evoSearchObjRedirectURL);
		}
		
		if (evoSearchObjURL.indexOf(combinedHost) == 0)
		{
			//Host on this SharePoint instance
			//If we have a redirect, we'll use that for the source, otherwise we'll return to the search on cancel.
			
			//First check if the formURL includes a query string
			if (evoSearchObjURL.indexOf('?') == -1)
			{
				window.location.replace(evoSearchObjURL + "?source=" + encodedSourceURL);
			}
			else
			{
				window.location.replace(evoSearchObjURL + "&source=" + encodedSourceURL);
			}
			
			
		}
		else
		{
			//window.location.replace(evoSearchObjURL);
		}
	}
}

pfh.ItemClickCallback = function(result, returnValue) {

	if (result > 0)
	{
		if (pfh.redirectURL != null)
		{
			window.location.href = pfh.redirectURL;	
		}
	}
}

pfh.HoverEnterBehaviour = function(objId) {
	jQuery("#" + objId + " .evoFormTextDetail").css('overflow','visible');
	jQuery("#" + objId + " .evoFormTextWrapper").animate({top: "-=100"},500);
}

pfh.HoverExitBehaviour = function(objId) {
	jQuery("#" + objId + " .evoFormTextWrapper").animate({top: "+=100"},500);
	jQuery("#" + objId + " .evoFormTextDetail").css('overflow','hidden');
}
